Bug 1247329 - [RFE] Display the power status for a Docker container via hammer
[RFE] Display the power status for a Docker container via hammer
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
Unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 14:57 EDT by Og Maciel
Modified: 2017-06-23 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20093 None None None 2017-06-23 08:26 EDT

  None (edit)
Description Og Maciel 2015-07-27 14:57:07 EDT
Description of problem:

Currently hammer cli does not display the power status (running, stopped) for a given container, as shown below:

# hammer -u "${ADMIN_USER}" -p "${ADMIN_PASSWORD}" docker container info --id=1 --compute-resource="local_docker"
Name:             docker-rhel-7-1
Image repository: rhel6.7
Tag:              latest
Command:          top
Compute resource: local_docker
Entrypoint:
CPU set:
CPU shares:
Memory (Bytes):
TTY:              yes
Attach STDIN:     no
Attach STDOUT:    no
Attach STDERR:    no
Registry:         Red Hat Docker Registry
Created at:       2015/07/27 18:06:46
Updated at:       2015/07/27 18:06:46

It would be great to be able to get this information, specially for automation tasks that may want to check this information before triggering some type of action based on the status.

Version-Release number of selected component (if applicable):

* Satellite 6.1.1 SNAP 14

How reproducible:


Steps to Reproduce:
1. Provision a new docker container
2. Use hammer docker container info to find out what the power state is for the container
3.

Actual results:

This information is not currently displayed


Expected results:

Report the power status

Additional info:
Comment 1 Daniel Lobato Garcia 2017-06-23 08:25:06 EDT
Triaged, cloning to Redmine
Comment 2 Daniel Lobato Garcia 2017-06-23 08:26:00 EDT
Created redmine issue http://projects.theforeman.org/issues/20093 from this bug

Note You need to log in before you can comment on or make changes to this bug.